Rensei docs
API ReferenceWorker Protocol

Release all file locks for a session

Release all file locks for a session - Rensei REST API operation reference.

POST
/api/sessions/{id}/files/release-all

Authorization

headerAuthorizationBearer <JWT>

Short-lived worker runtime JWT minted by the platform. Claims bind the worker, project, organization, registration, and scopes.

Path Parameters

id*string

Request Body

application/json
  1. body
workerId?string

Response Body

All files released.

application/json
  1. response
released?integer
Example Request
curl -X POST 'https://app.rensei.ai/api/sessions/string/files/release-all' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "released": 0}